Bug 1421842 - RFE: Support transitions as part of bucket lifecycle [NEEDINFO]
Summary: RFE: Support transitions as part of bucket lifecycle
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 4.0
Assignee: Yehuda Sadeh
QA Contact: Tejas
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1473188 1730176
TreeView+ depends on / blocked
 
Reported: 2017-02-13 20:14 UTC by Kyle Bader
Modified: 2020-12-14 08:09 UTC (History)
10 users (show)

Fixed In Version: ceph-14.2.0-142.g2f9c072.el8cp
Doc Type: Enhancement
Doc Text:
.Addition of storage classes and lifecycle transitions to the Ceph Object Gateway The Ceph Object Gateway now provides support for storage classes, an S3 compatible representation of the Ceph Object Gateway's underlying placement targets, and for lifecycle transitions, a mechanism to migrate objects between classes. Storage classes and lifecycle transitions provide a higher level of control over data placement for the applications that need it. They have many potential uses, including performance tuning for specific workloads, as well as automatic migration of inactive data to cold storage.
Clone Of:
Environment:
Last Closed: 2020-01-31 12:44:52 UTC
Target Upstream Version:
edonnell: needinfo? (mbenjamin)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:45:25 UTC

Description Kyle Bader 2017-02-13 20:14:49 UTC
Bucket lifecycle includes both expiration and transition. Amazon documentation for the feature is here:

https://docs.aws.amazon.com/AmazonS3/latest/dev/lifecycle-transition-general-considerations.html
https://docs.aws.amazon.com/AmazonS3/latest/dev/intro-lifecycle-rules.html

Use case:

Two different storage classes, say HDD and SSD, mapped to distinct CRUSH branches. Bucket lifecycle would transition objects from SSD to HDD after $n days. Instead of distinct CRUSH branches, the pools could be configured to use replication vs erasure coding, etc.

Filter Elements and NoncurrentVersionTransition should be supported.

Comment 2 Kyle Bader 2017-02-13 20:36:50 UTC
Transitions can be configure per object version as well:

https://docs.aws.amazon.com/AmazonS3/latest/dev/transitioning-object-versions.html

Comment 10 Giridhar Ramaraju 2019-08-05 13:11:46 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 11 Giridhar Ramaraju 2019-08-05 13:12:41 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 18 errata-xmlrpc 2020-01-31 12:44:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.